use anyhow::Result;

use ecs::*;
use engine::prelude::*;

fn main() -> Result<()> {
    let mut world_builder = World::builder();

    let (context, engine, scene) = Engine::new(EngineCreateInfo {
        app_info: todo!(),
        window_info: todo!(),
        os_specific_config: todo!(),
        vulkan_debug_info: todo!(),
        volume_info: todo!(),
        gui_info: todo!(),
        enable_backtrace: todo!(),
        enable_mouse: todo!(),
        enable_keyboard: todo!(),
        enable_controller: todo!(),
        controller_deadzones: todo!(),
        resource_base_path: todo!(),
        controller_directories: todo!(),
        asset_directories: todo!(),
        graphics_info: todo!(),
        raytracing_info: todo!(),
        rasterizer_info: todo!(),
        key_backgrounds: todo!(),
    })?;

    world_builder.resources.insert(context);
    world_builder.resources.insert(engine);
    world_builder.resources.insert(scene);

    world_builder.build().run()
}
